

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

    list-style: none;

    text-decoration: none;

    position: relative;
}
body {
    background: #333;

    font-family: monospace, sans-serif;

    height: 100vh;
    
}
#container {
    position: fixed;
    left:-400px;
    top:0px;

    background: #042331;


    max-width: 100%;
    width: 400px;
    min-height: 100%;

    transition: all 0.5s ease;
}
#container .heading {
    line-height: 80px;

    color: aliceblue;
    
    padding: 10px;
    font-size: 25px;
    font-weight: 800;

    word-spacing: -10px;
    text-align: center;

    background: #063146;

    user-select: none;/* user not able to select*/
}

#container .content ul a{
    display: block;
    line-height: 65px;

    height: 100%;
    width: 100%;

    font-size: 23px;

    color:#fff;

    padding-left: 65px;

    border-top: 1px solid rgba(255, 255, 255, 0.1);
    border-bottom: 1px solid rgb(143, 141, 141);

    transition: all 0.5s;
}
#container .content ul li:hover a{
    padding-left: 75px;
}
#check{
    display: fixed;
    visibility: hidden;


}
label #btn, label #cancel{
    z-index: 1;
    position: fixed;
    cursor: pointer;
    background: #042331;
}
label #btn{
    left: 40px;
    top: 30px;

    font-size: 35px;

    color: #fff;

    border-radius: 3px;

    padding: 6px 10px;

    transition: all 0.5s;
}
label #cancel{
    z-index: 1;

    left:-370px;
    top: 0px;

    font-size: 30px;

    color:#0a5275;

    padding: 4px 9px;

    transition: all 0.5s ease;

    opacity: 0;

}
#check:checked ~ #container{
    left:0px;
}
#check:checked ~ label #btn{
    left:230px;

    opacity: 0;
    pointer-events: none;
}
#check:checked ~ label #cancel{
    top: 30px;
    left:350px;
    
    opacity: 1;
}


/* -------------main-content-------------- */
#main-doc {
    display: block;
	position: relative;
    
    top:60px;
    left: 0px;

    margin-left: 50px;

	transition: all 0.4s;
}
#check:checked ~ #main-doc{
    margin: 0 0 0 450px;
}

#check:checked ~ #about{
    margin: 0 0 0 450px;
}



#main-doc .main-section {
    
	max-width: auto;
    min-height: 100%;

    border-bottom: 4px dashed #b8860b;
	transition: 0.4s;
}
#main-doc .main-section header {
	font-size: 35px;
	font-weight: 800;

	margin: 30px 0;

	color: 	#f0fff0;

	transition: 0.4s;
}

#main-doc .main-section .fam {
	font-size: 30px;
    font-weight: 700;

	padding-bottom: 10px;

	color: #ffa07a;

	transition: 0.4s;
}
#main-doc .main-section p {
	font-size: 26px;
    font-weight: 700;

	padding-bottom: 10px;

	color: 	#ffdead;

	transition: 0.4s;
}

#main-doc .main-section ul li {
	font-size: 24px;
	font-weight: 600;

    padding-bottom: 10px;

	color: #cd853f;

	list-style: none;

	transition: 0.4s;
}
#about {
   
    margin-top: 50px;
    margin-left: 50px;
	
	padding: 50px 0 0 0 ;
    max-width: auto;
}
#about h2 {
	font-size: 35px;

    margin-top: 30px;
	padding-bottom: 10px;

	font-weight: 800;

	color: #cd5c5c;
	transition: 0.4s;
}
#about p {
	padding-top: 20px;

	transition: 0.4s;

	font-size: 24px;
	font-weight: 700;

    color:	#ffdead;

    line-height: 40px;
}

.return{
    color:#fff;
}



@media (max-width:900px) 
{   

    #container{
        position: relative;
        top:0;
        left: 0;

        width:100%;
        min-height: 35vh;
        
        border-bottom:5px double green ;
       
    }
    .heading{
        border-bottom: 5px double green;
    }
    
    #check,
    #btn,
    #cancel
    
    {
        display: none;
    }

    #container .content{
        min-height: 200px;
    }


    #main-doc{
        position: relative;
        top:0;
        left:0;
        right:0;

        min-height:62vh;
        max-width:100%;
    }
  
    .main-section{

        margin: 50px 0 0 0;   
    }

    #about{
        position: relative;
        top: 0;
        left:0;

        margin:20px 0 0 50px;
        padding: 0 0 0 0;
    }

    



}

